Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.javatest.tool
Class Main.Fault

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.sun.javatest.tool.Main.Fault

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  Main

    public static class Main.Fault

extends java.lang.Exception

Thrown when a bad command line argument is encountered.

See Also:
  Serialized Form

Constructor Summary
`Main.Fault(I18NResourceBundle i18n, java.lang.String key)` Create a BadArgs exception.
`Main.Fault(I18NResourceBundle i18n, java.lang.String key, java.lang.Object arg)` Create a BadArgs exception.
`Main.Fault(I18NResourceBundle i18n, java.lang.String key, java.lang.Object[] args)` Create a BadArgs exception.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Main.Fault

    public Main.Fault(I18NResourceBundle i18n,
                      java.lang.String key)

  Create a BadArgs exception.

  Parameters:
    `i18n` - A resource bundle in which to find the detail message.
    `key` - The key for the detail message.

### Main.Fault

    public Main.Fault(I18NResourceBundle i18n,
                      java.lang.String key,
                      java.lang.Object arg)

  Create a BadArgs exception.

  Parameters:
    `i18n` - A resource bundle in which to find the detail message.
    `key` - The key for the detail message.
    `arg` - An argument to be formatted with the detail message by `MessageFormat.format(java.lang.Object[], java.lang.StringBuffer, java.text.FieldPosition)`

### Main.Fault

    public Main.Fault(I18NResourceBundle i18n,
                      java.lang.String key,
                      java.lang.Object[] args)

  Create a BadArgs exception.

  Parameters:
    `i18n` - A resource bundle in which to find the detail message.
    `key` - The key for the detail message.
    `args` - An array of arguments to be formatted with the detail message by `MessageFormat.format(java.lang.Object[], java.lang.StringBuffer, java.text.FieldPosition)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2010, Oracle and/or its affiliates. All rights reserved.